ScriptRunnerCreator (Apache Ant API)

Package org.apache.tools.ant.util

## Class ScriptRunnerCreator

- java.lang.Object
- - org.apache.tools.ant.util.ScriptRunnerCreator

-     public class ScriptRunnerCreator
      extends java.lang.Object

  This is a helper class used by ScriptRunnerHelper to create a ScriptRunner based on a classloader and on a language.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptRunnerCreator​(Project project)` | Constructor for creator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ScriptRunnerBase` | `createRunner​(java.lang.String manager, java.lang.String language, java.lang.ClassLoader classLoader)` | Deprecated. Use `createRunner(ScriptManager,String,ClassLoader)` instead
    `ScriptRunnerBase` | `createRunner​(ScriptManager manager, java.lang.String language, java.lang.ClassLoader classLoader)` | Create a ScriptRunner.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptRunnerCreator

          public ScriptRunnerCreator​(Project project)

      Constructor for creator.
      Parameters:
        `project` - the current project.

  - ### Method Detail

    - #### createRunner

          @Deprecated
          public ScriptRunnerBase createRunner​(java.lang.String manager,
                                               java.lang.String language,
                                               java.lang.ClassLoader classLoader)

      Deprecated.
      Use `createRunner(ScriptManager,String,ClassLoader)` instead
      Create a ScriptRunner.
      Parameters:
        `manager` - the script manager ("auto" | "bsf" | "javax")
        `language` - the language.
        `classLoader` - the classloader to use
      Returns:
        the created script runner.
      Throws:
        `BuildException` - if unable to create the ScriptRunner.

    - #### createRunner

          public ScriptRunnerBase createRunner​(ScriptManager manager,
                                               java.lang.String language,
                                               java.lang.ClassLoader classLoader)

      Create a ScriptRunner.
      Parameters:
        `manager` - the `ScriptManager`
        `language` - the language.
        `classLoader` - the classloader to use
      Returns:
        the created script runner.
      Throws:
        `BuildException` - if unable to create the ScriptRunner.